%define anolis_release 1
# Allow build without test
%bcond_without tests

Name:           pytz
Version:        2023.3
Release:        %{anolis_release}%{?dist}
Summary:        World Timezone Definitions for Python

License:        MIT
URL:            http://pytz.sourceforge.net/
Source:         %pypi_source
Patch0:         pytz-zoneinfo.patch
Patch1:         remove_tzinfo_test.patch

BuildArch:      noarch
BuildRequires:  tzdata

%global _description\
pytz brings the Olson tz database into Python. This library allows accurate\
and cross platform timezone calculations using Python 2.3 or higher. It\
also solves the issue of ambiguous times at the end of daylight savings,\
which you can read more about in the Python Library Reference\
(datetime.tzinfo).\
\
Almost all (over 540) of the Olson timezones are supported.

%description %_description


%package -n python3-%{name}
Summary:        %summary
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if %{with tests}
BuildRequires:  python3-pytest
%endif
Requires:       tzdata

%description -n python3-%{name} %_description

%package -n python3-%{name}-doc
Summary:        %summary
Requires:	python3-%{name} = %{version}-%{release}

%description -n python3-%{name}-doc
Doc files for python3-%{name}

%prep
%autosetup -p1


%build
%py3_build


%install
%py3_install
rm -r %{buildroot}%{python3_sitelib}/pytz/zoneinfo


%if %{with tests}
%check
%pytest -v
%endif


%files -n python3-pytz
%license LICENSE.txt
%{python3_sitelib}/pytz/
%{python3_sitelib}/*.egg-info/

%files -n python3-pytz-doc
%doc README.rst

%changelog
* Fri Dec 22 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2023.3-1
- update to 2023.3

* Mon Mar 27 2023 happy_orange <songnannan@linux.alibaba.com> - 2022.7.1-1
- init package from upstream
